﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_startup_form
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Display a new form with a blue background.
        private void btnNewForm_Click(object sender, EventArgs e)
        {
            Form1 frm = new Form1();
            frm.BackColor = Color.LightBlue;
            frm.Show();
        }

        // If this is the main form and any other forms have their
        // Prevent Startup From Closing boxes checked, don't close.
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            // See if this is the main form.
            if (this == Application.OpenForms[0])
                // See if any form has the CheckBox checked.
                foreach (Form1 frm in Application.OpenForms)
                    if (frm.chkPreventStartupFromClosing.Checked)
                    {
                        e.Cancel = true;
                        break;
                    }
        }
    }
}
